Skip to main content
Version: 2026-01-07.1

Asset Classes

Data Model​

Asset Class​

  • name (string, required): Display name of the asset class.

Asset Class Detailed​

  • name (string, required): Display name of the detailed asset class.

Relationships​

  • assetClass: The asset class that the detailed asset class belongs to.

Endpoints​

GET /asset-classes/:id​

Fetch the asset class with the given id.

Parameters​

  • id (path, required): Asset class identifier.

Examples​

200 OK
# Request
GET /api/v2/asset-classes/5e6a90cf921d8b1874c32ed5 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io

# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.json+api

{
"data": {
"id": "f2d93a1df9ffeb8aa6c140be",
"type": "asset-class",
"attributes": {
"name": "Equities"
}
}
}

GET /asset-classes-detailed/:id​

Fetch the detailed asset class with the given id.

Parameters​

  • id (path, required): Detailed asset class identifier.

Examples​

200 OK
# Request
GET /api/v2/asset-classes-detailed/5e6a90cf921d8b1874c32ed5 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: platform.aleta.io

# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.json+api

{
"data": {
"id": "68c280b298f321781b449771",
"type": "asset-class-detailed",
"attributes": {
"name": "Equities - American"
},
"relationships": {
"assetClass": {
"data": {
"type": "asset-class",
"id": "f2d93a1df9ffeb8aa6c140be"
}
}
}
}
}